Bug 190135 - Review Request: perl-DBM-Deep - A pure perl multi-level hash/array DBM
Review Request: perl-DBM-Deep - A pure perl multi-level hash/array DBM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-27 17:25 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 22:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-04-27 17:25:47 EDT
Spec URL: http://home.bawue.de/~ixs/perl-DBM-Deep/perl-DBM-Deep.spec
SRPM URL: http://home.bawue.de/~ixs/perl-DBM-Deep/perl-DBM-Deep-0.983-1.src.rpm
Description:
A unique flat-file database module, written in pure perl. True multi-level
hash/array support (unlike MLDBM, which is faked), hybrid OO / tie()
interface, cross-platform FTPable files, and quite fast. Can handle
millions of keys and unlimited hash levels without significant slow-down.
Written from the ground-up in pure perl -- this is NOT a wrapper around a
C-based DBM. Out-of-the-box compatibility with Unix, Mac OS X and Windows.
Comment 1 Jason Tibbitts 2006-04-27 22:12:26 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and 
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   09ddd163183e983bf1085688d0b25b75  DBM-Deep-0.983.tar.gz
   09ddd163183e983bf1085688d0b25b75  DBM-Deep-0.983.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock (development, i386)
* rpmlint is silent.
O final provides and requires are sane.  (DBM::Deep::_::Root is a bit weird, but
that's really what the package is called.)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=28, Tests=371, 15 wallclock secs (12.99 cusr +  1.02 csys = 14.01 CPU)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Andreas Thienemann 2006-04-27 22:41:07 EDT
Thx for the review, package has been built, closing as NEXTRELEASE.
Comment 3 Jason Tibbitts 2006-04-28 13:27:52 EDT
It seems a new version came out today (0.99_01).
Comment 4 Jose Pedro Oliveira 2006-04-28 13:45:13 EDT
(In reply to comment #3)
> It seems a new version came out today (0.99_01).

This is a development release (note the underscore).
It should *never* be used as a stable release.

/jpo
Comment 5 Jason Tibbitts 2006-04-28 13:51:52 EDT
I've not seen the underscore convention before, but I do see the bug
"***DEVELOPER RELEASE***" at CPAN.  The daily updated packages messages sent to
comp.lang.perl.announce unfortunately don't indicate development releases
(unless you're expected to intuit such from the underscore in the version, I guess).
Comment 6 Jose Pedro Oliveira 2006-04-28 14:02:05 EDT
This a CPAN convention: a package is considered 'unstable' or 'development' if
there is an underscore in the version number.


Note You need to log in before you can comment on or make changes to this bug.